[GRASS-SVN] r32495 - grass/branches/develbranch_6/tools

svn_grass at osgeo.org svn_grass at osgeo.org
Sun Aug 3 14:00:51 EDT 2008


Author: neteler
Date: 2008-08-03 14:00:51 -0400 (Sun, 03 Aug 2008)
New Revision: 32495

Added:
   grass/branches/develbranch_6/tools/grass_indent.sh
   grass/branches/develbranch_6/tools/grass_indent_ALL.sh
Log:
backported for upcoming source code re-indentation

Added: grass/branches/develbranch_6/tools/grass_indent.sh
===================================================================
--- grass/branches/develbranch_6/tools/grass_indent.sh	                        (rev 0)
+++ grass/branches/develbranch_6/tools/grass_indent.sh	2008-08-03 18:00:51 UTC (rev 32495)
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+# Indent source code according to GRASS SUBMITTING rules
+
+if [ $# -lt 1 ] ; then
+ echo "No files specified (give file name(s) as parameter)"
+ exit 1
+else
+ indent -bad -bap -bbb -br -bli0 -bls -cli0 -ncs -fc1 -hnl -i4 \
+      -nbbo -nbc -nbfda -nbfde -ncdb -ncdw -nce -nfca -npcs -nprs \
+      -npsl -nsc -nsob -saf -sai -saw -sbi0 -ss -ts8 -ut "$@"
+fi


Property changes on: grass/branches/develbranch_6/tools/grass_indent.sh
___________________________________________________________________
Name: svn:executable
   + *
Name: svn:eol-style
   + native

Added: grass/branches/develbranch_6/tools/grass_indent_ALL.sh
===================================================================
--- grass/branches/develbranch_6/tools/grass_indent_ALL.sh	                        (rev 0)
+++ grass/branches/develbranch_6/tools/grass_indent_ALL.sh	2008-08-03 18:00:51 UTC (rev 32495)
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+# HANDLE WITH CARE
+# loops over entire GRASS source code tree and indents source code according to SUBMITTING rules
+
+#are we in the tools/ dir? We should not.
+if [ ! -d tools ] ; then
+ echo "ERROR: this script must be run from the main GRASS source code directory" >&2
+ exit 1
+fi
+
+echo "Indenting *.c and *.h..." >&2
+find . -type f -name "*.[ch]" -print0 | xargs -0 ./tools/grass_indent.sh


Property changes on: grass/branches/develbranch_6/tools/grass_indent_ALL.sh
___________________________________________________________________
Name: svn:executable
   + *
Name: svn:eol-style
   + native



More information about the grass-commit mailing list